{% extends 'base/base.html' %}
{% load crispy_forms_tags %}

{% block body_blockheader %}
<div class="container" id="frmHeader">
    <div class="row">
        <div class="col">
            <h4>{{ pageName }}</h4>
            {% include 'form/_nav.html' %}
        </div>
        <div>
            {% autoescape off %}
                {{ buttons }}
            {% endautoescape %}
        </div>
    </div>
    {% autoescape off %}
    {% for rowval in formDescription %}
        {% for val in rowval %}
            {{ val }}
        {% endfor %}
    {% endfor %}
    {% endautoescape %}
    <span id="frmErrorMsg">{{ errmsg }}</span>
</div>
{% endblock %}

{% block body_block %}
    <div class="container" id="frmContainer">
        <div class="container" id="frmSection">
            {% csrf_token %}
            {% crispy form %}
        </div>
        {% include 'standard/_contentholder.html' %}
    </div>
{% endblock %}

{% block end_script %}
<script>
    function hide_item(obj, clear = 'false'){
    var objname = 'id_'.concat(obj);
    if (clear = 'true'){
        var x = document.getElementById(objname);
        x.value = ""
     }
    var objname = 'div_'.concat(objname);
    var x = document.getElementById(objname);
    x.style.display='none'
}

function show_item(obj, distype){
    var objname = 'div_id_'.concat(obj);
    var x = document.getElementById(objname);
    x.style.display=distype

}

function change_views(){
    if (document.getElementById("id_calculateprice").checked)
    {
        show_item('unitprice', 'block');
        show_item('buyersFee', 'block');
        show_item('tax', 'block');
    }
    else
    {
        hide_item('unitprice');
        hide_item('buyersFee');
        hide_item('tax');
    }
}

function calculate_cost(){
    unitprice = +document.getElementById('id_unitprice').value
    buyersfee = +document.getElementById('id_buyersFee').value
    tax = +document.getElementById('id_tax').value
    if (buyersfee > 1){
        buyersfee = buyersfee / 100
    }
    if (tax > 1){
        tax = tax / 100
    }
    pretaxcost = unitprice + (unitprice * buyersfee)
    totalcost = pretaxcost + (pretaxcost * tax)
    document.getElementById('id_purchaseprice').value = totalcost.toFixed(2)
}
change_views()
</script>
{% endblock %}